Bug 1130913 - libguestfs-tools-c wrong version
Summary: libguestfs-tools-c wrong version
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.4
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Federico Simoncelli
QA Contact: Gil Klein
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 07:51 UTC by Petr Horáček
Modified: 2016-02-10 18:21 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-19 07:27:56 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Description Petr Horáček 2014-08-18 07:51:07 UTC
VDSM has dependency on libguestfs-tools-c 1.20.11-10 while latest version in CentOS 6.5 repository is 1.20.11-2

CentOS 6.5
Cloned latest VDSM

Reproduce:
http://www.ovirt.org/Vdsm_Developers
packages' installation ends with error

Results:
Error: Package: vdsm-4.16.0-207.gitf24bbc0.el6.x86_64 (/vdsm-4.16.0-207.gitf24bbc0.el6.x86_64)
           Requires: libguestfs-tools-c >= 1:1.20.11-10
           Installed: 1:libguestfs-tools-c-1.20.11-2.el6.x86_64 (@base)
               libguestfs-tools-c = 1:1.20.11-2.el6

Comment 1 Petr Horáček 2014-08-18 10:47:37 UTC
btw similiar problem on jenkins, Fedora 19:

11:17:18 Error: Package: vdsm-4.16.0-207.git4fbd606.fc19.x86_64 (/vdsm-4.16.0-207.git4fbd606.fc19.x86_64)
11:17:18            Requires: libguestfs-tools-c >= 1:1.26.7-2
11:17:18            Installed: 1:libguestfs-tools-c-1.22.9-1.fc19.x86_64 (@updates)
11:17:18                libguestfs-tools-c = 1:1.22.9-1.fc19
11:17:18            Available: 1:libguestfs-tools-c-1.22.2-1.fc19.x86_64 (fedora)
11:17:18                libguestfs-tools-c = 1:1.22.2-1.fc19

Comment 2 Dan Kenigsberg 2014-08-18 16:12:22 UTC
Thanks for reporting this. We conciously "broke" master this way, instead of waiting for the pending backport of libguestfs-tools-c-1:1.22.2 to el6.

F19 is going to be phased out, and would probably not be a supported platform of ovirt-3.6.

Comment 3 Federico Simoncelli 2014-08-18 21:26:08 UTC
The libguestfs-tools-c el6 packages are on the ovirt repository:

http://resources.ovirt.org/pub/ovirt-3.5-snapshot-static/rpm/el6/x86_64/

and as Dan said f19 is going to be phased out, so for running master you may want to upgrade to f20.

Let us know if the packages on the ovirt repo are solving your issue and eventually close this bug.

Comment 4 Petr Horáček 2014-08-19 07:27:56 UTC
After this it still does not work:
yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release35.rpm
yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release35-snapshot.rpm
yum update

After this it works:
yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release-master.rpm
yum update

We should add it into http://www.ovirt.org/Vdsm_Developers


Note You need to log in before you can comment on or make changes to this bug.